// Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.

package com.sun.solarisinstall.panels;

import java.awt.*;

/**
 * <CODE>ViewPanel</CODE> does not clear itself in <CODE>update()</CODE>
 * and delegates <CODE>paint()</CODE> to its parent.<p>
 * 
 * @version	1.5	10/02/96
 * @author	Sun Microsystems, Inc.
 */
public class ViewPanel extends Panel {
	private static final String sccs_id = "@(#)ViewPanel.java 1.5 96/10/02 SMI";

	public ViewPanel() { setLayout(null); }

	public void paint(Graphics g)  { getParent().repaint(); }
	public void update(Graphics g) { paint(g); }

    /**
     * Returns the version of this class.
     */
    public String getClassVersion() {
        return (sccs_id);
    }
}
